import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { CompoundSupplyTokenFetcher, GetMarketsParams } from '../../../apps/compound/common/compound.supply.token-fetcher';
import { GetUnderlyingTokensParams, GetPricePerShareParams, GetDataPropsParams } from '../../../position/template/app-token.template.types';
import { IronBankComptroller, IronBankContractFactory, IronBankCToken } from '../contracts';
export declare class OptimismIronBankSupplyTokenFetcher extends CompoundSupplyTokenFetcher<IronBankCToken, IronBankComptroller> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: IronBankContractFactory;
    groupLabel: string;
    comptrollerAddress: string;
    constructor(appToolkit: IAppToolkit, contractFactory: IronBankContractFactory);
    getCompoundCTokenContract(address: string): IronBankCToken;
    getCompoundComptrollerContract(address: string): IronBankComptroller;
    getMarkets({ contract }: GetMarketsParams<IronBankComptroller>): Promise<string[]>;
    getUnderlyingAddress({ contract }: GetUnderlyingTokensParams<IronBankCToken>): Promise<string>;
    getExchangeRate({ contract }: GetPricePerShareParams<IronBankCToken>): Promise<import("ethers").BigNumber>;
    getSupplyRate({ contract }: GetDataPropsParams<IronBankCToken>): Promise<number | import("ethers").BigNumber>;
}
